package cn.l7h.boing;

import javax.swing.*;
import java.awt.event.*;

/**
 * Let a dot bounce around.
 * @author jl
 */
public final class BoingMain {
	public static void main(String[] args) {
		JFrame myFrame = new JFrame();
		myFrame.setTitle("Boing! Boing!");
		myFrame.setSize(400, 300);
		myFrame.setLocation(50, 50);
		final DotPanel p = new DotPanel();
		myFrame.setContentPane(p);
		myFrame.setDefaultCloseOperation(WindowConstants.DISPOSE_ON_CLOSE);
		myFrame.addWindowListener(
			new WindowAdapter() {
				public void windowClosed(WindowEvent e) {
					p.close();
				}
			}
		);
		myFrame.show();
		p.start();		
	}
}