package cn.l7h.boing;

import javax.swing.*;
import java.awt.*;

/**
 * A panel containing a bouncing dot.
 * @author jl 
 */
public final class DotPanel extends JPanel {
	private Dot theDot = new Dot(this);
	private SpeedSensor theSpeedSensor = new SpeedSensor(theDot);

	DotPanel() {
		setBackground(new Color(255, 255, 255));
		addMouseMotionListener(theSpeedSensor);
	}

	void start() {
		theDot.start();
	}

	void close() {
		theDot.close();
	}

	public void paint(Graphics g) {
		super.paint(g);
		theDot.paint(g);
	}
}